be.fgov.ehealth.dics.protocol.v5

## Class ObjectFactory

- java.lang.Object
- - be.fgov.ehealth.dics.protocol.v5.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the be.fgov.ehealth.dics.protocol.v5 package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.protocol.v5

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `AdditionalFieldsType` | `createAdditionalFieldsType()` Create an instance of `AdditionalFieldsType`
    `AmpListDataType` | `createAmpListDataType()` Create an instance of `AmpListDataType`
    `Appendix` | `createAppendix()` Create an instance of `Appendix`
    `AppendixType` | `createAppendixType()` Create an instance of `AppendixType`
    `AtcClassification` | `createAtcClassification()` Create an instance of `AtcClassification`
    `AtcClassificationType` | `createAtcClassificationType()` Create an instance of `AtcClassificationType`
    `ComponentEquivalentType` | `createComponentEquivalentType()` Create an instance of `ComponentEquivalentType`
    `ConsultAdministrationFrequencyType` | `createConsultAdministrationFrequencyType()` Create an instance of `ConsultAdministrationFrequencyType`
    `ConsultAmpComponentType` | `createConsultAmpComponentType()` Create an instance of `ConsultAmpComponentType`
    `ConsultAmppComponentEquivalentType` | `createConsultAmppComponentEquivalentType()` Create an instance of `ConsultAmppComponentEquivalentType`
    `ConsultAmppComponentType` | `createConsultAmppComponentType()` Create an instance of `ConsultAmppComponentType`
    `ConsultAmppType` | `createConsultAmppType()` Create an instance of `ConsultAmppType`
    `ConsultAmpType` | `createConsultAmpType()` Create an instance of `ConsultAmpType`
    `ConsultAttachmentType` | `createConsultAttachmentType()` Create an instance of `ConsultAttachmentType`
    `ConsultBoundedParameterType` | `createConsultBoundedParameterType()` Create an instance of `ConsultBoundedParameterType`
    `ConsultChapterIVAddedDocumentType` | `createConsultChapterIVAddedDocumentType()` Create an instance of `ConsultChapterIVAddedDocumentType`
    `ConsultChapterIVAppendixTypeType` | `createConsultChapterIVAppendixTypeType()` Create an instance of `ConsultChapterIVAppendixTypeType`
    `ConsultChapterIVExclusionType` | `createConsultChapterIVExclusionType()` Create an instance of `ConsultChapterIVExclusionType`
    `ConsultChapterIVFormTypeType` | `createConsultChapterIVFormTypeType()` Create an instance of `ConsultChapterIVFormTypeType`
    `ConsultChapterIVNameTranslationType` | `createConsultChapterIVNameTranslationType()` Create an instance of `ConsultChapterIVNameTranslationType`
    `ConsultChapterIVParagraphTraceType` | `createConsultChapterIVParagraphTraceType()` Create an instance of `ConsultChapterIVParagraphTraceType`
    `ConsultChapterIVParagraphType` | `createConsultChapterIVParagraphType()` Create an instance of `ConsultChapterIVParagraphType`
    `ConsultChapterIVProfessionalAuthorisationType` | `createConsultChapterIVProfessionalAuthorisationType()` Create an instance of `ConsultChapterIVProfessionalAuthorisationType`
    `ConsultChapterIVProfessionalCodeType` | `createConsultChapterIVProfessionalCodeType()` Create an instance of `ConsultChapterIVProfessionalCodeType`
    `ConsultChapterIVQualificationListType` | `createConsultChapterIVQualificationListType()` Create an instance of `ConsultChapterIVQualificationListType`
    `ConsultChapterIVTextType` | `createConsultChapterIVTextType()` Create an instance of `ConsultChapterIVTextType`
    `ConsultChapterIVVerseType` | `createConsultChapterIVVerseType()` Create an instance of `ConsultChapterIVVerseType`
    `ConsultCommentedClassificationTreeType` | `createConsultCommentedClassificationTreeType()` Create an instance of `ConsultCommentedClassificationTreeType`
    `ConsultCommentedClassificationType` | `createConsultCommentedClassificationType()` Create an instance of `ConsultCommentedClassificationType`
    `ConsultCommercializationType` | `createConsultCommercializationType()` Create an instance of `ConsultCommercializationType`
    `ConsultCompanyType` | `createConsultCompanyType()` Create an instance of `ConsultCompanyType`
    `ConsultCompoundingFormulaType` | `createConsultCompoundingFormulaType()` Create an instance of `ConsultCompoundingFormulaType`
    `ConsultCompoundingIngredientType` | `createConsultCompoundingIngredientType()` Create an instance of `ConsultCompoundingIngredientType`
    `ConsultCopaymentType` | `createConsultCopaymentType()` Create an instance of `ConsultCopaymentType`
    `ConsultDerogationImportType` | `createConsultDerogationImportType()` Create an instance of `ConsultDerogationImportType`
    `ConsultDmppType` | `createConsultDmppType()` Create an instance of `ConsultDmppType`
    `ConsultDosageParameterType` | `createConsultDosageParameterType()` Create an instance of `ConsultDosageParameterType`
    `ConsultFormalInterpretationType` | `createConsultFormalInterpretationType()` Create an instance of `ConsultFormalInterpretationType`
    `ConsultIndicationType` | `createConsultIndicationType()` Create an instance of `ConsultIndicationType`
    `ConsultLegalBasisType` | `createConsultLegalBasisType()` Create an instance of `ConsultLegalBasisType`
    `ConsultLegalReferenceTraceType` | `createConsultLegalReferenceTraceType()` Create an instance of `ConsultLegalReferenceTraceType`
    `ConsultLegalReferenceType` | `createConsultLegalReferenceType()` Create an instance of `ConsultLegalReferenceType`
    `ConsultLegalTextType` | `createConsultLegalTextType()` Create an instance of `ConsultLegalTextType`
    `ConsultNonMedicinalProductType` | `createConsultNonMedicinalProductType()` Create an instance of `ConsultNonMedicinalProductType`
    `ConsultParameterizedQuantityType` | `createConsultParameterizedQuantityType()` Create an instance of `ConsultParameterizedQuantityType`
    `ConsultPricingUnitType` | `createConsultPricingUnitType()` Create an instance of `ConsultPricingUnitType`
    `ConsultRealActualIngredientEquivalentType` | `createConsultRealActualIngredientEquivalentType()` Create an instance of `ConsultRealActualIngredientEquivalentType`
    `ConsultRealActualIngredientType` | `createConsultRealActualIngredientType()` Create an instance of `ConsultRealActualIngredientType`
    `ConsultRealVirtualIngredientType` | `createConsultRealVirtualIngredientType()` Create an instance of `ConsultRealVirtualIngredientType`
    `ConsultReimbursementConditionType` | `createConsultReimbursementConditionType()` Create an instance of `ConsultReimbursementConditionType`
    `ConsultReimbursementContextType` | `createConsultReimbursementContextType()` Create an instance of `ConsultReimbursementContextType`
    `ConsultReimbursementTermType` | `createConsultReimbursementTermType()` Create an instance of `ConsultReimbursementTermType`
    `ConsultStandardDosageType` | `createConsultStandardDosageType()` Create an instance of `ConsultStandardDosageType`
    `ConsultStandardFormAndPhFrmAndVtlFrmType` | `createConsultStandardFormAndPhFrmAndVtlFrmType()` Create an instance of `ConsultStandardFormAndPhFrmAndVtlFrmType`
    `ConsultStandardFormType` | `createConsultStandardFormType()` Create an instance of `ConsultStandardFormType`
    `ConsultStandardRouteAndRouteOfAdministrationType` | `createConsultStandardRouteAndRouteOfAdministrationType()` Create an instance of `ConsultStandardRouteAndRouteOfAdministrationType`
    `ConsultStandardRouteType` | `createConsultStandardRouteType()` Create an instance of `ConsultStandardRouteType`
    `ConsultStandardSubstanceAndSubstanceType` | `createConsultStandardSubstanceAndSubstanceType()` Create an instance of `ConsultStandardSubstanceAndSubstanceType`
    `ConsultStandardSubstanceType` | `createConsultStandardSubstanceType()` Create an instance of `ConsultStandardSubstanceType`
    `ConsultSupplyProblemType` | `createConsultSupplyProblemType()` Create an instance of `ConsultSupplyProblemType`
    `ConsultTemporaryDurationDetailsType` | `createConsultTemporaryDurationDetailsType()` Create an instance of `ConsultTemporaryDurationDetailsType`
    `ConsultTextType` | `createConsultTextType()` Create an instance of `ConsultTextType`
    `ConsultVirtualIngredientType` | `createConsultVirtualIngredientType()` Create an instance of `ConsultVirtualIngredientType`
    `ConsultVmpComponentType` | `createConsultVmpComponentType()` Create an instance of `ConsultVmpComponentType`
    `ConsultVmpGroupType` | `createConsultVmpGroupType()` Create an instance of `ConsultVmpGroupType`
    `ConsultVmpType` | `createConsultVmpType()` Create an instance of `ConsultVmpType`
    `ConsultVtmType` | `createConsultVtmType()` Create an instance of `ConsultVtmType`
    `ConsultWadaType` | `createConsultWadaType()` Create an instance of `ConsultWadaType`
    `DeliveryModus` | `createDeliveryModus()` Create an instance of `DeliveryModus`
    `DeliveryModusSpecification` | `createDeliveryModusSpecification()` Create an instance of `DeliveryModusSpecification`
    `DeliveryModusSpecificationType` | `createDeliveryModusSpecificationType()` Create an instance of `DeliveryModusSpecificationType`
    `DeliveryModusType` | `createDeliveryModusType()` Create an instance of `DeliveryModusType`
    `DeviceType` | `createDeviceType()` Create an instance of `DeviceType`
    `DeviceTypeType` | `createDeviceTypeType()` Create an instance of `DeviceTypeType`
    `DicsRequestType` | `createDicsRequestType()` Create an instance of `DicsRequestType`
    `DicsResponseType` | `createDicsResponseType()` Create an instance of `DicsResponseType`
    `DomainType` | `createDomainType()` Create an instance of `DomainType`
    `DoseUnitsType` | `createDoseUnitsType()` Create an instance of `DoseUnitsType`
    `FindAmppRequest` | `createFindAmppRequest()` Create an instance of `FindAmppRequest`
    `FindAmppResponse` | `createFindAmppResponse()` Create an instance of `FindAmppResponse`
    `JAXBElement<FindAmpRequestType>` | `createFindAmpRequest(FindAmpRequestType value)` Create an instance of `JAXBElement``<``FindAmpRequestType``>`
    `FindAmpRequestType` | `createFindAmpRequestType()` Create an instance of `FindAmpRequestType`
    `FindAmpResponse` | `createFindAmpResponse()` Create an instance of `FindAmpResponse`
    `FindByActualProductType` | `createFindByActualProductType()` Create an instance of `FindByActualProductType`
    `FindByCommentedClassificationType` | `createFindByCommentedClassificationType()` Create an instance of `FindByCommentedClassificationType`
    `FindByCompanyType` | `createFindByCompanyType()` Create an instance of `FindByCompanyType`
    `FindByDmppType` | `createFindByDmppType()` Create an instance of `FindByDmppType`
    `FindByGenericPrescriptionGroupType` | `createFindByGenericPrescriptionGroupType()` Create an instance of `FindByGenericPrescriptionGroupType`
    `FindByIngredientType` | `createFindByIngredientType()` Create an instance of `FindByIngredientType`
    `FindByPackageType` | `createFindByPackageType()` Create an instance of `FindByPackageType`
    `FindByParagraphNameType` | `createFindByParagraphNameType()` Create an instance of `FindByParagraphNameType`
    `FindByTherapeuticMoietyType` | `createFindByTherapeuticMoietyType()` Create an instance of `FindByTherapeuticMoietyType`
    `FindByVirtualProductType` | `createFindByVirtualProductType()` Create an instance of `FindByVirtualProductType`
    `FindChapterIVParagraphRequest` | `createFindChapterIVParagraphRequest()` Create an instance of `FindChapterIVParagraphRequest`
    `FindChapterIVParagraphResponse` | `createFindChapterIVParagraphResponse()` Create an instance of `FindChapterIVParagraphResponse`
    `FindCommentedClassificationRequest` | `createFindCommentedClassificationRequest()` Create an instance of `FindCommentedClassificationRequest`
    `FindCommentedClassificationResponse` | `createFindCommentedClassificationResponse()` Create an instance of `FindCommentedClassificationResponse`
    `FindCompanyRequest` | `createFindCompanyRequest()` Create an instance of `FindCompanyRequest`
    `FindCompanyResponse` | `createFindCompanyResponse()` Create an instance of `FindCompanyResponse`
    `FindCompoundingFormulaRequest` | `createFindCompoundingFormulaRequest()` Create an instance of `FindCompoundingFormulaRequest`
    `FindCompoundingFormulaResponse` | `createFindCompoundingFormulaResponse()` Create an instance of `FindCompoundingFormulaResponse`
    `FindCompoundingIngredientRequest` | `createFindCompoundingIngredientRequest()` Create an instance of `FindCompoundingIngredientRequest`
    `FindCompoundingIngredientResponse` | `createFindCompoundingIngredientResponse()` Create an instance of `FindCompoundingIngredientResponse`
    `FindLegalBasesType` | `createFindLegalBasesType()` Create an instance of `FindLegalBasesType`
    `FindLegislationTextRequest` | `createFindLegislationTextRequest()` Create an instance of `FindLegislationTextRequest`
    `FindLegislationTextResponse` | `createFindLegislationTextResponse()` Create an instance of `FindLegislationTextResponse`
    `JAXBElement<FindAmpRequestType>` | `createFindListOfAmpRequest(FindAmpRequestType value)` Create an instance of `JAXBElement``<``FindAmpRequestType``>`
    `FindListOfAmpResponse` | `createFindListOfAmpResponse()` Create an instance of `FindListOfAmpResponse`
    `FindNonMedicinalProductRequest` | `createFindNonMedicinalProductRequest()` Create an instance of `FindNonMedicinalProductRequest`
    `FindNonMedicinalProductResponse` | `createFindNonMedicinalProductResponse()` Create an instance of `FindNonMedicinalProductResponse`
    `FindReferencesRequest` | `createFindReferencesRequest()` Create an instance of `FindReferencesRequest`
    `FindReferencesResponse` | `createFindReferencesResponse()` Create an instance of `FindReferencesResponse`
    `FindReimbursementRequest` | `createFindReimbursementRequest()` Create an instance of `FindReimbursementRequest`
    `FindReimbursementResponse` | `createFindReimbursementResponse()` Create an instance of `FindReimbursementResponse`
    `FindVmpGroupRequest` | `createFindVmpGroupRequest()` Create an instance of `FindVmpGroupRequest`
    `FindVmpGroupResponse` | `createFindVmpGroupResponse()` Create an instance of `FindVmpGroupResponse`
    `FindVmpRequest` | `createFindVmpRequest()` Create an instance of `FindVmpRequest`
    `FindVmpResponse` | `createFindVmpResponse()` Create an instance of `FindVmpResponse`
    `FindVtmRequest` | `createFindVtmRequest()` Create an instance of `FindVtmRequest`
    `FindVtmResponse` | `createFindVtmResponse()` Create an instance of `FindVtmResponse`
    `FormCategory` | `createFormCategory()` Create an instance of `FormCategory`
    `FormCategoryType` | `createFormCategoryType()` Create an instance of `FormCategoryType`
    `GenericReferenceEntryType` | `createGenericReferenceEntryType()` Create an instance of `GenericReferenceEntryType`
    `GenericReferenceTableType` | `createGenericReferenceTableType()` Create an instance of `GenericReferenceTableType`
    `HasActualComponentWithType` | `createHasActualComponentWithType()` Create an instance of `HasActualComponentWithType`
    `HasVirtualComponentWithType` | `createHasVirtualComponentWithType()` Create an instance of `HasVirtualComponentWithType`
    `HasWadaClassificationType` | `createHasWadaClassificationType()` Create an instance of `HasWadaClassificationType`
    `ListAmpType` | `createListAmpType()` Create an instance of `ListAmpType`
    `NoGenericPrescriptionReason` | `createNoGenericPrescriptionReason()` Create an instance of `NoGenericPrescriptionReason`
    `NoGenericPrescriptionReasonType` | `createNoGenericPrescriptionReasonType()` Create an instance of `NoGenericPrescriptionReasonType`
    `NoSwitchReason` | `createNoSwitchReason()` Create an instance of `NoSwitchReason`
    `NoSwitchReasonType` | `createNoSwitchReasonType()` Create an instance of `NoSwitchReasonType`
    `PackagingClosure` | `createPackagingClosure()` Create an instance of `PackagingClosure`
    `PackagingClosureType` | `createPackagingClosureType()` Create an instance of `PackagingClosureType`
    `PackagingMaterial` | `createPackagingMaterial()` Create an instance of `PackagingMaterial`
    `PackagingMaterialType` | `createPackagingMaterialType()` Create an instance of `PackagingMaterialType`
    `PackagingType` | `createPackagingType()` Create an instance of `PackagingType`
    `PackagingTypeType` | `createPackagingTypeType()` Create an instance of `PackagingTypeType`
    `PackAmountType` | `createPackAmountType()` Create an instance of `PackAmountType`
    `Parameter` | `createParameter()` Create an instance of `Parameter`
    `ParameterValueType` | `createParameterValueType()` Create an instance of `ParameterValueType`
    `PharmaceuticalForm` | `createPharmaceuticalForm()` Create an instance of `PharmaceuticalForm`
    `PharmaceuticalFormWithStandardsType` | `createPharmaceuticalFormWithStandardsType()` Create an instance of `PharmaceuticalFormWithStandardsType`
    `QuantityType` | `createQuantityType()` Create an instance of `QuantityType`
    `RangeType` | `createRangeType()` Create an instance of `RangeType`
    `ReimbursementCriterion` | `createReimbursementCriterion()` Create an instance of `ReimbursementCriterion`
    `ReimbursementCriterionType` | `createReimbursementCriterionType()` Create an instance of `ReimbursementCriterionType`
    `RouteOfAdministration` | `createRouteOfAdministration()` Create an instance of `RouteOfAdministration`
    `RouteOfAdministrationWithStandardsType` | `createRouteOfAdministrationWithStandardsType()` Create an instance of `RouteOfAdministrationWithStandardsType`
    `StandardFormCodeCriterionType` | `createStandardFormCodeCriterionType()` Create an instance of `StandardFormCodeCriterionType`
    `StandardFormNameCriterionType` | `createStandardFormNameCriterionType()` Create an instance of `StandardFormNameCriterionType`
    `StandardRouteCodeCriterionType` | `createStandardRouteCodeCriterionType()` Create an instance of `StandardRouteCodeCriterionType`
    `StandardRouteNameCriterionType` | `createStandardRouteNameCriterionType()` Create an instance of `StandardRouteNameCriterionType`
    `StandardSubstanceCodeCriterionType` | `createStandardSubstanceCodeCriterionType()` Create an instance of `StandardSubstanceCodeCriterionType`
    `StandardSubstanceNameCriterionType` | `createStandardSubstanceNameCriterionType()` Create an instance of `StandardSubstanceNameCriterionType`
    `StandardUnitFamhpType` | `createStandardUnitFamhpType()` Create an instance of `StandardUnitFamhpType`
    `StrengthRangeType` | `createStrengthRangeType()` Create an instance of `StrengthRangeType`
    `StrengthType` | `createStrengthType()` Create an instance of `StrengthType`
    `Substance` | `createSubstance()` Create an instance of `Substance`
    `SubstanceWithStandardsType` | `createSubstanceWithStandardsType()` Create an instance of `SubstanceWithStandardsType`
    `SynonymType` | `createSynonymType()` Create an instance of `SynonymType`
    `TextType` | `createTextType()` Create an instance of `TextType`
    `ValidateProductIdRequest` | `createValidateProductIdRequest()` Create an instance of `ValidateProductIdRequest`
    `ValidateProductIdResponse` | `createValidateProductIdResponse()` Create an instance of `ValidateProductIdResponse`
    `ValidateSamIdRequest` | `createValidateSamIdRequest()` Create an instance of `ValidateSamIdRequest`
    `ValidateSamIdResponse` | `createValidateSamIdResponse()` Create an instance of `ValidateSamIdResponse`
    `VatNrPerCountryType` | `createVatNrPerCountryType()` Create an instance of `VatNrPerCountryType`
    `VirtualForm` | `createVirtualForm()` Create an instance of `VirtualForm`
    `VirtualFormWithStandardsType` | `createVirtualFormWithStandardsType()` Create an instance of `VirtualFormWithStandardsType`
    `Wada` | `createWada()` Create an instance of `Wada`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.fgov.ehealth.dics.protocol.v5

  - ### Method Detail

    - #### createFindAmpRequestType

          public FindAmpRequestType createFindAmpRequestType()

      Create an instance of `FindAmpRequestType`

    - #### createFindAmpResponse

          public FindAmpResponse createFindAmpResponse()

      Create an instance of `FindAmpResponse`

    - #### createDicsResponseType

          public DicsResponseType createDicsResponseType()

      Create an instance of `DicsResponseType`

    - #### createConsultAmpType

          public ConsultAmpType createConsultAmpType()

      Create an instance of `ConsultAmpType`

    - #### createFindListOfAmpResponse

          public FindListOfAmpResponse createFindListOfAmpResponse()

      Create an instance of `FindListOfAmpResponse`

    - #### createListAmpType

          public ListAmpType createListAmpType()

      Create an instance of `ListAmpType`

    - #### createFindCompanyRequest

          public FindCompanyRequest createFindCompanyRequest()

      Create an instance of `FindCompanyRequest`

    - #### createDicsRequestType

          public DicsRequestType createDicsRequestType()

      Create an instance of `DicsRequestType`

    - #### createVatNrPerCountryType

          public VatNrPerCountryType createVatNrPerCountryType()

      Create an instance of `VatNrPerCountryType`

    - #### createFindCompanyResponse

          public FindCompanyResponse createFindCompanyResponse()

      Create an instance of `FindCompanyResponse`

    - #### createConsultCompanyType

          public ConsultCompanyType createConsultCompanyType()

      Create an instance of `ConsultCompanyType`

    - #### createFindVmpRequest

          public FindVmpRequest createFindVmpRequest()

      Create an instance of `FindVmpRequest`

    - #### createFindByGenericPrescriptionGroupType

          public FindByGenericPrescriptionGroupType createFindByGenericPrescriptionGroupType()

      Create an instance of `FindByGenericPrescriptionGroupType`

    - #### createFindByTherapeuticMoietyType

          public FindByTherapeuticMoietyType createFindByTherapeuticMoietyType()

      Create an instance of `FindByTherapeuticMoietyType`

    - #### createFindByVirtualProductType

          public FindByVirtualProductType createFindByVirtualProductType()

      Create an instance of `FindByVirtualProductType`

    - #### createFindByIngredientType

          public FindByIngredientType createFindByIngredientType()

      Create an instance of `FindByIngredientType`

    - #### createHasVirtualComponentWithType

          public HasVirtualComponentWithType createHasVirtualComponentWithType()

      Create an instance of `HasVirtualComponentWithType`

    - #### createHasWadaClassificationType

          public HasWadaClassificationType createHasWadaClassificationType()

      Create an instance of `HasWadaClassificationType`

    - #### createFindVmpResponse

          public FindVmpResponse createFindVmpResponse()

      Create an instance of `FindVmpResponse`

    - #### createConsultVmpType

          public ConsultVmpType createConsultVmpType()

      Create an instance of `ConsultVmpType`

    - #### createFindLegislationTextRequest

          public FindLegislationTextRequest createFindLegislationTextRequest()

      Create an instance of `FindLegislationTextRequest`

    - #### createFindByDmppType

          public FindByDmppType createFindByDmppType()

      Create an instance of `FindByDmppType`

    - #### createFindLegalBasesType

          public FindLegalBasesType createFindLegalBasesType()

      Create an instance of `FindLegalBasesType`

    - #### createFindLegislationTextResponse

          public FindLegislationTextResponse createFindLegislationTextResponse()

      Create an instance of `FindLegislationTextResponse`

    - #### createConsultLegalBasisType

          public ConsultLegalBasisType createConsultLegalBasisType()

      Create an instance of `ConsultLegalBasisType`

    - #### createFindReimbursementRequest

          public FindReimbursementRequest createFindReimbursementRequest()

      Create an instance of `FindReimbursementRequest`

    - #### createFindByPackageType

          public FindByPackageType createFindByPackageType()

      Create an instance of `FindByPackageType`

    - #### createFindReimbursementResponse

          public FindReimbursementResponse createFindReimbursementResponse()

      Create an instance of `FindReimbursementResponse`

    - #### createConsultReimbursementContextType

          public ConsultReimbursementContextType createConsultReimbursementContextType()

      Create an instance of `ConsultReimbursementContextType`

    - #### createFindReferencesRequest

          public FindReferencesRequest createFindReferencesRequest()

      Create an instance of `FindReferencesRequest`

    - #### createFindReferencesResponse

          public FindReferencesResponse createFindReferencesResponse()

      Create an instance of `FindReferencesResponse`

    - #### createAtcClassification

          public AtcClassification createAtcClassification()

      Create an instance of `AtcClassification`

    - #### createDeliveryModus

          public DeliveryModus createDeliveryModus()

      Create an instance of `DeliveryModus`

    - #### createDeliveryModusSpecification

          public DeliveryModusSpecification createDeliveryModusSpecification()

      Create an instance of `DeliveryModusSpecification`

    - #### createDeviceType

          public DeviceType createDeviceType()

      Create an instance of `DeviceType`

    - #### createPackagingClosure

          public PackagingClosure createPackagingClosure()

      Create an instance of `PackagingClosure`

    - #### createPackagingMaterial

          public PackagingMaterial createPackagingMaterial()

      Create an instance of `PackagingMaterial`

    - #### createPackagingType

          public PackagingType createPackagingType()

      Create an instance of `PackagingType`

    - #### createPharmaceuticalForm

          public PharmaceuticalForm createPharmaceuticalForm()

      Create an instance of `PharmaceuticalForm`

    - #### createRouteOfAdministration

          public RouteOfAdministration createRouteOfAdministration()

      Create an instance of `RouteOfAdministration`

    - #### createSubstance

          public Substance createSubstance()

      Create an instance of `Substance`

    - #### createNoSwitchReason

          public NoSwitchReason createNoSwitchReason()

      Create an instance of `NoSwitchReason`

    - #### createVirtualForm

          public VirtualForm createVirtualForm()

      Create an instance of `VirtualForm`

    - #### createWada

          public Wada createWada()

      Create an instance of `Wada`

    - #### createNoGenericPrescriptionReason

          public NoGenericPrescriptionReason createNoGenericPrescriptionReason()

      Create an instance of `NoGenericPrescriptionReason`

    - #### createAppendix

          public Appendix createAppendix()

      Create an instance of `Appendix`

    - #### createFormCategory

          public FormCategory createFormCategory()

      Create an instance of `FormCategory`

    - #### createParameter

          public Parameter createParameter()

      Create an instance of `Parameter`

    - #### createReimbursementCriterion

          public ReimbursementCriterion createReimbursementCriterion()

      Create an instance of `ReimbursementCriterion`

    - #### createConsultStandardFormAndPhFrmAndVtlFrmType

          public ConsultStandardFormAndPhFrmAndVtlFrmType createConsultStandardFormAndPhFrmAndVtlFrmType()

      Create an instance of `ConsultStandardFormAndPhFrmAndVtlFrmType`

    - #### createConsultStandardRouteAndRouteOfAdministrationType

          public ConsultStandardRouteAndRouteOfAdministrationType createConsultStandardRouteAndRouteOfAdministrationType()

      Create an instance of `ConsultStandardRouteAndRouteOfAdministrationType`

    - #### createConsultStandardSubstanceAndSubstanceType

          public ConsultStandardSubstanceAndSubstanceType createConsultStandardSubstanceAndSubstanceType()

      Create an instance of `ConsultStandardSubstanceAndSubstanceType`

    - #### createStandardUnitFamhpType

          public StandardUnitFamhpType createStandardUnitFamhpType()

      Create an instance of `StandardUnitFamhpType`

    - #### createGenericReferenceTableType

          public GenericReferenceTableType createGenericReferenceTableType()

      Create an instance of `GenericReferenceTableType`

    - #### createFindVmpGroupRequest

          public FindVmpGroupRequest createFindVmpGroupRequest()

      Create an instance of `FindVmpGroupRequest`

    - #### createFindVmpGroupResponse

          public FindVmpGroupResponse createFindVmpGroupResponse()

      Create an instance of `FindVmpGroupResponse`

    - #### createConsultVmpGroupType

          public ConsultVmpGroupType createConsultVmpGroupType()

      Create an instance of `ConsultVmpGroupType`

    - #### createFindVtmRequest

          public FindVtmRequest createFindVtmRequest()

      Create an instance of `FindVtmRequest`

    - #### createFindVtmResponse

          public FindVtmResponse createFindVtmResponse()

      Create an instance of `FindVtmResponse`

    - #### createConsultVtmType

          public ConsultVtmType createConsultVtmType()

      Create an instance of `ConsultVtmType`

    - #### createFindCommentedClassificationRequest

          public FindCommentedClassificationRequest createFindCommentedClassificationRequest()

      Create an instance of `FindCommentedClassificationRequest`

    - #### createFindByCommentedClassificationType

          public FindByCommentedClassificationType createFindByCommentedClassificationType()

      Create an instance of `FindByCommentedClassificationType`

    - #### createFindCommentedClassificationResponse

          public FindCommentedClassificationResponse createFindCommentedClassificationResponse()

      Create an instance of `FindCommentedClassificationResponse`

    - #### createConsultCommentedClassificationTreeType

          public ConsultCommentedClassificationTreeType createConsultCommentedClassificationTreeType()

      Create an instance of `ConsultCommentedClassificationTreeType`

    - #### createFindCompoundingIngredientRequest

          public FindCompoundingIngredientRequest createFindCompoundingIngredientRequest()

      Create an instance of `FindCompoundingIngredientRequest`

    - #### createFindCompoundingIngredientResponse

          public FindCompoundingIngredientResponse createFindCompoundingIngredientResponse()

      Create an instance of `FindCompoundingIngredientResponse`

    - #### createConsultCompoundingIngredientType

          public ConsultCompoundingIngredientType createConsultCompoundingIngredientType()

      Create an instance of `ConsultCompoundingIngredientType`

    - #### createFindCompoundingFormulaRequest

          public FindCompoundingFormulaRequest createFindCompoundingFormulaRequest()

      Create an instance of `FindCompoundingFormulaRequest`

    - #### createFindCompoundingFormulaResponse

          public FindCompoundingFormulaResponse createFindCompoundingFormulaResponse()

      Create an instance of `FindCompoundingFormulaResponse`

    - #### createConsultCompoundingFormulaType

          public ConsultCompoundingFormulaType createConsultCompoundingFormulaType()

      Create an instance of `ConsultCompoundingFormulaType`

    - #### createFindAmppRequest

          public FindAmppRequest createFindAmppRequest()

      Create an instance of `FindAmppRequest`

    - #### createFindAmppResponse

          public FindAmppResponse createFindAmppResponse()

      Create an instance of `FindAmppResponse`

    - #### createConsultAmppType

          public ConsultAmppType createConsultAmppType()

      Create an instance of `ConsultAmppType`

    - #### createFindNonMedicinalProductRequest

          public FindNonMedicinalProductRequest createFindNonMedicinalProductRequest()

      Create an instance of `FindNonMedicinalProductRequest`

    - #### createFindNonMedicinalProductResponse

          public FindNonMedicinalProductResponse createFindNonMedicinalProductResponse()

      Create an instance of `FindNonMedicinalProductResponse`

    - #### createConsultNonMedicinalProductType

          public ConsultNonMedicinalProductType createConsultNonMedicinalProductType()

      Create an instance of `ConsultNonMedicinalProductType`

    - #### createValidateSamIdRequest

          public ValidateSamIdRequest createValidateSamIdRequest()

      Create an instance of `ValidateSamIdRequest`

    - #### createValidateSamIdResponse

          public ValidateSamIdResponse createValidateSamIdResponse()

      Create an instance of `ValidateSamIdResponse`

    - #### createValidateProductIdRequest

          public ValidateProductIdRequest createValidateProductIdRequest()

      Create an instance of `ValidateProductIdRequest`

    - #### createValidateProductIdResponse

          public ValidateProductIdResponse createValidateProductIdResponse()

      Create an instance of `ValidateProductIdResponse`

    - #### createFindChapterIVParagraphRequest

          public FindChapterIVParagraphRequest createFindChapterIVParagraphRequest()

      Create an instance of `FindChapterIVParagraphRequest`

    - #### createFindByParagraphNameType

          public FindByParagraphNameType createFindByParagraphNameType()

      Create an instance of `FindByParagraphNameType`

    - #### createFindChapterIVParagraphResponse

          public FindChapterIVParagraphResponse createFindChapterIVParagraphResponse()

      Create an instance of `FindChapterIVParagraphResponse`

    - #### createConsultChapterIVParagraphType

          public ConsultChapterIVParagraphType createConsultChapterIVParagraphType()

      Create an instance of `ConsultChapterIVParagraphType`

    - #### createFindByActualProductType

          public FindByActualProductType createFindByActualProductType()

      Create an instance of `FindByActualProductType`

    - #### createFindByCompanyType

          public FindByCompanyType createFindByCompanyType()

      Create an instance of `FindByCompanyType`

    - #### createHasActualComponentWithType

          public HasActualComponentWithType createHasActualComponentWithType()

      Create an instance of `HasActualComponentWithType`

    - #### createAdditionalFieldsType

          public AdditionalFieldsType createAdditionalFieldsType()

      Create an instance of `AdditionalFieldsType`

    - #### createAmpListDataType

          public AmpListDataType createAmpListDataType()

      Create an instance of `AmpListDataType`

    - #### createAppendixType

          public AppendixType createAppendixType()

      Create an instance of `AppendixType`

    - #### createAtcClassificationType

          public AtcClassificationType createAtcClassificationType()

      Create an instance of `AtcClassificationType`

    - #### createComponentEquivalentType

          public ComponentEquivalentType createComponentEquivalentType()

      Create an instance of `ComponentEquivalentType`

    - #### createConsultAdministrationFrequencyType

          public ConsultAdministrationFrequencyType createConsultAdministrationFrequencyType()

      Create an instance of `ConsultAdministrationFrequencyType`

    - #### createConsultAmpComponentType

          public ConsultAmpComponentType createConsultAmpComponentType()

      Create an instance of `ConsultAmpComponentType`

    - #### createConsultAmppComponentEquivalentType

          public ConsultAmppComponentEquivalentType createConsultAmppComponentEquivalentType()

      Create an instance of `ConsultAmppComponentEquivalentType`

    - #### createConsultAmppComponentType

          public ConsultAmppComponentType createConsultAmppComponentType()

      Create an instance of `ConsultAmppComponentType`

    - #### createConsultAttachmentType

          public ConsultAttachmentType createConsultAttachmentType()

      Create an instance of `ConsultAttachmentType`

    - #### createConsultBoundedParameterType

          public ConsultBoundedParameterType createConsultBoundedParameterType()

      Create an instance of `ConsultBoundedParameterType`

    - #### createConsultCommentedClassificationType

          public ConsultCommentedClassificationType createConsultCommentedClassificationType()

      Create an instance of `ConsultCommentedClassificationType`

    - #### createConsultCommercializationType

          public ConsultCommercializationType createConsultCommercializationType()

      Create an instance of `ConsultCommercializationType`

    - #### createConsultCopaymentType

          public ConsultCopaymentType createConsultCopaymentType()

      Create an instance of `ConsultCopaymentType`

    - #### createConsultDerogationImportType

          public ConsultDerogationImportType createConsultDerogationImportType()

      Create an instance of `ConsultDerogationImportType`

    - #### createConsultDmppType

          public ConsultDmppType createConsultDmppType()

      Create an instance of `ConsultDmppType`

    - #### createConsultDosageParameterType

          public ConsultDosageParameterType createConsultDosageParameterType()

      Create an instance of `ConsultDosageParameterType`

    - #### createConsultFormalInterpretationType

          public ConsultFormalInterpretationType createConsultFormalInterpretationType()

      Create an instance of `ConsultFormalInterpretationType`

    - #### createConsultIndicationType

          public ConsultIndicationType createConsultIndicationType()

      Create an instance of `ConsultIndicationType`

    - #### createConsultLegalReferenceTraceType

          public ConsultLegalReferenceTraceType createConsultLegalReferenceTraceType()

      Create an instance of `ConsultLegalReferenceTraceType`

    - #### createConsultLegalReferenceType

          public ConsultLegalReferenceType createConsultLegalReferenceType()

      Create an instance of `ConsultLegalReferenceType`

    - #### createConsultLegalTextType

          public ConsultLegalTextType createConsultLegalTextType()

      Create an instance of `ConsultLegalTextType`

    - #### createConsultParameterizedQuantityType

          public ConsultParameterizedQuantityType createConsultParameterizedQuantityType()

      Create an instance of `ConsultParameterizedQuantityType`

    - #### createConsultPricingUnitType

          public ConsultPricingUnitType createConsultPricingUnitType()

      Create an instance of `ConsultPricingUnitType`

    - #### createConsultRealActualIngredientEquivalentType

          public ConsultRealActualIngredientEquivalentType createConsultRealActualIngredientEquivalentType()

      Create an instance of `ConsultRealActualIngredientEquivalentType`

    - #### createConsultRealActualIngredientType

          public ConsultRealActualIngredientType createConsultRealActualIngredientType()

      Create an instance of `ConsultRealActualIngredientType`

    - #### createConsultRealVirtualIngredientType

          public ConsultRealVirtualIngredientType createConsultRealVirtualIngredientType()

      Create an instance of `ConsultRealVirtualIngredientType`

    - #### createConsultReimbursementConditionType

          public ConsultReimbursementConditionType createConsultReimbursementConditionType()

      Create an instance of `ConsultReimbursementConditionType`

    - #### createConsultReimbursementTermType

          public ConsultReimbursementTermType createConsultReimbursementTermType()

      Create an instance of `ConsultReimbursementTermType`

    - #### createConsultStandardDosageType

          public ConsultStandardDosageType createConsultStandardDosageType()

      Create an instance of `ConsultStandardDosageType`

    - #### createConsultStandardFormType

          public ConsultStandardFormType createConsultStandardFormType()

      Create an instance of `ConsultStandardFormType`

    - #### createConsultStandardRouteType

          public ConsultStandardRouteType createConsultStandardRouteType()

      Create an instance of `ConsultStandardRouteType`

    - #### createConsultStandardSubstanceType

          public ConsultStandardSubstanceType createConsultStandardSubstanceType()

      Create an instance of `ConsultStandardSubstanceType`

    - #### createConsultSupplyProblemType

          public ConsultSupplyProblemType createConsultSupplyProblemType()

      Create an instance of `ConsultSupplyProblemType`

    - #### createConsultTemporaryDurationDetailsType

          public ConsultTemporaryDurationDetailsType createConsultTemporaryDurationDetailsType()

      Create an instance of `ConsultTemporaryDurationDetailsType`

    - #### createConsultTextType

          public ConsultTextType createConsultTextType()

      Create an instance of `ConsultTextType`

    - #### createTextType

          public TextType createTextType()

      Create an instance of `TextType`

    - #### createConsultVirtualIngredientType

          public ConsultVirtualIngredientType createConsultVirtualIngredientType()

      Create an instance of `ConsultVirtualIngredientType`

    - #### createConsultVmpComponentType

          public ConsultVmpComponentType createConsultVmpComponentType()

      Create an instance of `ConsultVmpComponentType`

    - #### createConsultWadaType

          public ConsultWadaType createConsultWadaType()

      Create an instance of `ConsultWadaType`

    - #### createDeliveryModusSpecificationType

          public DeliveryModusSpecificationType createDeliveryModusSpecificationType()

      Create an instance of `DeliveryModusSpecificationType`

    - #### createDeliveryModusType

          public DeliveryModusType createDeliveryModusType()

      Create an instance of `DeliveryModusType`

    - #### createDeviceTypeType

          public DeviceTypeType createDeviceTypeType()

      Create an instance of `DeviceTypeType`

    - #### createDomainType

          public DomainType createDomainType()

      Create an instance of `DomainType`

    - #### createDoseUnitsType

          public DoseUnitsType createDoseUnitsType()

      Create an instance of `DoseUnitsType`

    - #### createFormCategoryType

          public FormCategoryType createFormCategoryType()

      Create an instance of `FormCategoryType`

    - #### createNoGenericPrescriptionReasonType

          public NoGenericPrescriptionReasonType createNoGenericPrescriptionReasonType()

      Create an instance of `NoGenericPrescriptionReasonType`

    - #### createNoSwitchReasonType

          public NoSwitchReasonType createNoSwitchReasonType()

      Create an instance of `NoSwitchReasonType`

    - #### createPackagingClosureType

          public PackagingClosureType createPackagingClosureType()

      Create an instance of `PackagingClosureType`

    - #### createPackagingMaterialType

          public PackagingMaterialType createPackagingMaterialType()

      Create an instance of `PackagingMaterialType`

    - #### createPackagingTypeType

          public PackagingTypeType createPackagingTypeType()

      Create an instance of `PackagingTypeType`

    - #### createPackAmountType

          public PackAmountType createPackAmountType()

      Create an instance of `PackAmountType`

    - #### createParameterValueType

          public ParameterValueType createParameterValueType()

      Create an instance of `ParameterValueType`

    - #### createPharmaceuticalFormWithStandardsType

          public PharmaceuticalFormWithStandardsType createPharmaceuticalFormWithStandardsType()

      Create an instance of `PharmaceuticalFormWithStandardsType`

    - #### createReimbursementCriterionType

          public ReimbursementCriterionType createReimbursementCriterionType()

      Create an instance of `ReimbursementCriterionType`

    - #### createRouteOfAdministrationWithStandardsType

          public RouteOfAdministrationWithStandardsType createRouteOfAdministrationWithStandardsType()

      Create an instance of `RouteOfAdministrationWithStandardsType`

    - #### createStandardFormCodeCriterionType

          public StandardFormCodeCriterionType createStandardFormCodeCriterionType()

      Create an instance of `StandardFormCodeCriterionType`

    - #### createStandardFormNameCriterionType

          public StandardFormNameCriterionType createStandardFormNameCriterionType()

      Create an instance of `StandardFormNameCriterionType`

    - #### createStandardRouteCodeCriterionType

          public StandardRouteCodeCriterionType createStandardRouteCodeCriterionType()

      Create an instance of `StandardRouteCodeCriterionType`

    - #### createStandardRouteNameCriterionType

          public StandardRouteNameCriterionType createStandardRouteNameCriterionType()

      Create an instance of `StandardRouteNameCriterionType`

    - #### createStandardSubstanceCodeCriterionType

          public StandardSubstanceCodeCriterionType createStandardSubstanceCodeCriterionType()

      Create an instance of `StandardSubstanceCodeCriterionType`

    - #### createStandardSubstanceNameCriterionType

          public StandardSubstanceNameCriterionType createStandardSubstanceNameCriterionType()

      Create an instance of `StandardSubstanceNameCriterionType`

    - #### createSubstanceWithStandardsType

          public SubstanceWithStandardsType createSubstanceWithStandardsType()

      Create an instance of `SubstanceWithStandardsType`

    - #### createSynonymType

          public SynonymType createSynonymType()

      Create an instance of `SynonymType`

    - #### createVirtualFormWithStandardsType

          public VirtualFormWithStandardsType createVirtualFormWithStandardsType()

      Create an instance of `VirtualFormWithStandardsType`

    - #### createQuantityType

          public QuantityType createQuantityType()

      Create an instance of `QuantityType`

    - #### createRangeType

          public RangeType createRangeType()

      Create an instance of `RangeType`

    - #### createStrengthRangeType

          public StrengthRangeType createStrengthRangeType()

      Create an instance of `StrengthRangeType`

    - #### createStrengthType

          public StrengthType createStrengthType()

      Create an instance of `StrengthType`

    - #### createGenericReferenceEntryType

          public GenericReferenceEntryType createGenericReferenceEntryType()

      Create an instance of `GenericReferenceEntryType`

    - #### createConsultChapterIVParagraphTraceType

          public ConsultChapterIVParagraphTraceType createConsultChapterIVParagraphTraceType()

      Create an instance of `ConsultChapterIVParagraphTraceType`

    - #### createConsultChapterIVExclusionType

          public ConsultChapterIVExclusionType createConsultChapterIVExclusionType()

      Create an instance of `ConsultChapterIVExclusionType`

    - #### createConsultChapterIVVerseType

          public ConsultChapterIVVerseType createConsultChapterIVVerseType()

      Create an instance of `ConsultChapterIVVerseType`

    - #### createConsultChapterIVAddedDocumentType

          public ConsultChapterIVAddedDocumentType createConsultChapterIVAddedDocumentType()

      Create an instance of `ConsultChapterIVAddedDocumentType`

    - #### createConsultChapterIVQualificationListType

          public ConsultChapterIVQualificationListType createConsultChapterIVQualificationListType()

      Create an instance of `ConsultChapterIVQualificationListType`

    - #### createConsultChapterIVFormTypeType

          public ConsultChapterIVFormTypeType createConsultChapterIVFormTypeType()

      Create an instance of `ConsultChapterIVFormTypeType`

    - #### createConsultChapterIVAppendixTypeType

          public ConsultChapterIVAppendixTypeType createConsultChapterIVAppendixTypeType()

      Create an instance of `ConsultChapterIVAppendixTypeType`

    - #### createConsultChapterIVProfessionalAuthorisationType

          public ConsultChapterIVProfessionalAuthorisationType createConsultChapterIVProfessionalAuthorisationType()

      Create an instance of `ConsultChapterIVProfessionalAuthorisationType`

    - #### createConsultChapterIVNameTranslationType

          public ConsultChapterIVNameTranslationType createConsultChapterIVNameTranslationType()

      Create an instance of `ConsultChapterIVNameTranslationType`

    - #### createConsultChapterIVProfessionalCodeType

          public ConsultChapterIVProfessionalCodeType createConsultChapterIVProfessionalCodeType()

      Create an instance of `ConsultChapterIVProfessionalCodeType`

    - #### createConsultChapterIVTextType

          public ConsultChapterIVTextType createConsultChapterIVTextType()

      Create an instance of `ConsultChapterIVTextType`

    - #### createFindAmpRequest

          public JAXBElement<FindAmpRequestType> createFindAmpRequest(FindAmpRequestType value)

      Create an instance of `JAXBElement``<``FindAmpRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``FindAmpRequestType``>`

    - #### createFindListOfAmpRequest

          public JAXBElement<FindAmpRequestType> createFindListOfAmpRequest(FindAmpRequestType value)

      Create an instance of `JAXBElement``<``FindAmpRequestType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``FindAmpRequestType``>`

Connector Packaging PERSOCCUPATIONALTHERAPIST 4.8.4 API
Copyright © {inceptionYear}-2025 eHealth. All Rights Reserved.